namespace InABox.DynamicGrid
{
    internal interface IDynamicEditor<T>
    {
        T GetValue();
        void SetValue(T value);

        bool IsChanged();
        void SetChanged(bool Changed);

        int DesiredHeight();
    }

    internal interface IDynamicEditor
    {
        object Value { get; set; }
        bool IsChanged();
    }
}